com.ihr.xbrl.om.formula.functions

## Class RSFunctionLibrary

- java.lang.Object
- - com.ihr.xbrl.om.formula.XBRLRSCustomFunctionLibraryAbstract
  - - com.ihr.xbrl.om.formula.functions.RSFunctionLibrary

- All Implemented Interfaces:
    XBRLRSCustomFunctionLibrary, java.io.Serializable, net.sf.saxon.functions.FunctionLibrary

      public class RSFunctionLibrary
      extends XBRLRSCustomFunctionLibraryAbstract

  The Class RSFunctionLibrary.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `RSFUNCTIONLIBRARYPREFIX` The Constant RSFUNCTIONLIBRARYPREFIX.
    `static java.lang.String` | `RSFUNCTIONLIBRARYURI` The Constant RSFUNCTIONLIBRARYURI.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSFunctionLibrary(XBRLFormulaProcessor xbrlFormulaProcessor)` Instantiates a new RS function library.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `net.sf.saxon.functions.StandardFunction.Entry` | `getFunction(java.lang.String local, int arity)` Returns the implementation of a specific function providing the function local name and the arity.
    `java.lang.String` | `getFunctionLibraryPrefix()` Returns the custom function library prefix.
    `java.lang.String` | `getFunctionLibraryURI()` returns the custom function library URI.

    - ### Methods inherited from class com.ihr.xbrl.om.formula.XBRLRSCustomFunctionLibraryAbstract

      `bind, copy, getFormulaProcessor, getFunctionSignature, isAvailable, setFormulaProcessor`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RSFUNCTIONLIBRARYURI

          public static final java.lang.String RSFUNCTIONLIBRARYURI

      The Constant RSFUNCTIONLIBRARYURI.
      See Also:
        Constant Field Values

    - #### RSFUNCTIONLIBRARYPREFIX

          public static final java.lang.String RSFUNCTIONLIBRARYPREFIX

      The Constant RSFUNCTIONLIBRARYPREFIX.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RSFunctionLibrary

          public RSFunctionLibrary(XBRLFormulaProcessor xbrlFormulaProcessor)

      Instantiates a new RS function library.
      Parameters:
        `xbrlFormulaProcessor` - the xbrl formula processor

  - ### Method Detail

    - #### getFunctionLibraryURI

          public java.lang.String getFunctionLibraryURI()

      Description copied from class: `XBRLRSCustomFunctionLibraryAbstract`
      returns the custom function library URI.
      Specified by:
        `getFunctionLibraryURI` in class `XBRLRSCustomFunctionLibraryAbstract`
      Returns:
        String

    - #### getFunction

          public net.sf.saxon.functions.StandardFunction.Entry getFunction(java.lang.String local,
                                                                  int arity)

      Description copied from class: `XBRLRSCustomFunctionLibraryAbstract`
      Returns the implementation of a specific function providing the function local name and the arity.
      Specified by:
        `getFunction` in class `XBRLRSCustomFunctionLibraryAbstract`
      Parameters:
        `local` - function local name
        `arity` - number of arguments
      Returns:
        StandardFunction.Entry

    - #### getFunctionLibraryPrefix

          public java.lang.String getFunctionLibraryPrefix()

      Description copied from class: `XBRLRSCustomFunctionLibraryAbstract`
      Returns the custom function library prefix.
      Specified by:
        `getFunctionLibraryPrefix` in class `XBRLRSCustomFunctionLibraryAbstract`
      Returns:
        String